# norootforbuild

%define _prefix	/usr

Name:			tolua
Summary:		A tool that greatly simplifies the integration of C/C++ code with Lua
Version:		5.1b
Release:		2.2
License:		GPL
Group:			Development/Libraries/Other
URL:			http://www.tecgraf.puc-rio.br/~celes/tolua/
Source0:		%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	lua-devel >= 5.1

%description
tolua is a tool that greatly simplifies the integration of
C/C++ code with Lua.

Based on a 'cleaned' header file, tolua automatically generates
the binding code to access C/C++ features from Lua.

Using Lua-5.0 API and tag method facilities, the current version
automatically maps C/C++ constants, external variables, functions,
namespace, classes, and methods to Lua. It also provides
facilities to create Lua modules.

Author: Waldemar Celes <celes@tecgraf.puc-rio.br>

%package -n libtolua-devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Libraries/C and C++
Provides:	tolua-devel = 5.0
Obsoletes:	tolua-devel <= 5.0

%description -n libtolua-devel
This package contains all necessary include files and libraries
needed to develop applications that require these.

%debug_package

%prep
%setup -q -n %{name}-%{version}
%__sed -i -e 's|LUA=/usr/local|LUA=%{_prefix}|g' \
	config
%__sed -i -e 's|LUALIB=$(LUA)/lib|LUALIB=$(LUA)/%{_lib}|g' \
	config

%build
%__make

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 bin/%{name} \
	%{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_includedir}
%__install -m 644 include/%{name}.h \
	%{buildroot}%{_includedir}

%__install -dm 755 %{buildroot}%{_libdir}
%__install -m 644 lib/lib%{name}.a \
	%{buildroot}%{_libdir}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}

%files -n libtolua-devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.a

%changelog
* Sun Aug 17 2008 Carsten Schoene <cs@linux-administrator.com> - 5.1b-2
- initial import for SLE_10 build
